- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::ApproximateBeliefState::StaticOCSPEstimateEnumeration::StaticOCSPEstimateEnumerator Class Reference

`#include <StaticOCSPEstimateEnumerator.h>`

Inheritance diagram for Mers::Estimation::Discrete::ApproximateBeliefState::StaticOCSPEstimateEnumeration::StaticOCSPEstimateEnumerator:

[legend]
Collaboration diagram for Mers::Estimation::Discrete::ApproximateBeliefState::StaticOCSPEstimateEnumeration::StaticOCSPEstimateEnumerator:

[legend]
List of all members.

## Public Member Functions
| StaticOCSPEstimateEnumerator (const Mers::Models::CCA::CCAModel &cca, Mers::Estimation::Discrete::Trajectories *initialTrajectories=NULL)
virtual | ~StaticOCSPEstimateEnumerator ()

## Detailed Description

The StaticOCSPEstimateEnumerator is an HHM estimation engine that generates estimates that are consistent with the CCA model, commands, and observations. Estimates are generated in best-first order (highest posterior probability first) by using Opsat to find the most likely diagnoses. This implimentation of ModeEstimator tracks the k most likely approximate belief states over time using a single OCSP instance without dyanamically changing node costs

Definition at line 57 of file StaticOCSPEstimateEnumerator.h.

## Constructor & Destructor Documentation

StaticOCSPEstimateEnumerator::StaticOCSPEstimateEnumerator | ( | const Mers::Models::CCA::CCAModel & | cca,
|  | Mers::Estimation::Discrete::Trajectories * | initialTrajectories = `NULL` |
| ) |  |  |

Creates a new ModeEstimator. The core functionality is derived from the ModeEstimatorBase. The only major addition to the base class is the generateTrajectories method using OPSAT to enumerate estimates in best-first order.

Parameters:

  | cca | the complete CCAModel of the system including all variables, domains, transitions, and constraints
  | initialTrajectories | the initial probability distribution across states.

Definition at line 50 of file StaticOCSPEstimateEnumerator.cpp.

StaticOCSPEstimateEnumerator::~StaticOCSPEstimateEnumerator | ( |  | ) | `[virtual]`

Destroys the mode estimator

Definition at line 61 of file StaticOCSPEstimateEnumerator.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ApproximateBeliefState/StaticOCSPEstimateEnumeration/StaticOCSPEstimateEnumerator.h
- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ApproximateBeliefState/StaticOCSPEstimateEnumeration/StaticOCSPEstimateEnumerator.cpp